/*
 Theme Name:     MIAP Meuse 2024 (Divi)
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Thème enfant Divi pour le site de la Mission d'apprentissage en Meuse. Ce thème ajoute du CSS et le composant personnalisé MaterializeCSS (https://materializecss.com/) pour la gestion des formulaires Contact Form 7 ||| Il s'agit d'n thème allégé pour la gestion d'une page d'atterissage le temps de développer le thème complet (connexion + espace Offre d'emplois + espace CV)
 Author:         Rémi COLIN
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/
:root {
	--main-bg: #ffffff;
	--alt-bg: #ececec;
	--secondary-bg: #23262d; /* ~Black */
	--dark-txt-color: #575756; /* Dark grey */
	--hovered-dark-txt: #868683;
	--light-txt-color: #f5f5f5; /* White ~grey */
	--hovered-light-txt: #E0E0E0;
	--title-color: #575756; /* Dark grey */
	--featured-color: #5a2970; /* Violet */
		--featured-color-50: rgba(90, 41, 112, 0.5);
		--featured-color-90: rgba(90, 41, 112, 0.9);
		--featured-color-darker: #3C1C4A;
		--featured-color-lighter: #793795;
	--alt-featured-color: #f8b047; /* Orange */
	--ctas-color: #f8b047; /*Orange*/
	--ctas-lighter-color: #FBCD89; /*Orange - Lighter*/
	--cf-submit-color: #5a2970 /*Green*/
}

*.centered {text-align: center; margin: 0 auto;}

/*Fixing CF7 hiddendiv display*/
.hiddendiv.common {display: none !important;}

/*Fix Divi backtotop icon position*/
.et_pb_scroll_top.et-pb-icon {bottom: 24px !important;}

/*-------------------------------------------------
Flex Row placement helper classes
Usage: "flex_{vertical-align}_{horizontal-align}"
---------------------------------------------------*/
.flex-start-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-start-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-start-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}
.flex-centered-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-centered-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}
.flex-end-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-end-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-end-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}

/*----------------------------------------------------
Convert flex row to column
Usage: column flex_{vertical-align}_{horizontal-align}
-----------------------------------------------------*/
.column{flex-direction:column}
.column.flex-start-start {display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-start-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-start-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}
.column.flex-centered-start{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-centered-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}
.column.flex-end-start{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-end-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-end-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}

/* Invert start and end point if needed */
.flex-invertion{flex-direction: row-reverse;}
.column.flex-invertion {flex-direction: column-reverse;}
